# From 2025-05-21
let pkgs = import (fetchTarball("https://github.com/NixOS/nixpkgs/archive/36ecfe6216f0aa7f2a1ffe5aafc2c0eae6c8cdcf.tar.gz")) {};

in pkgs.mkShell {
  buildInputs = [
    # Rust
    pkgs.cargo
    pkgs.rustc
    pkgs.rustfmt

    # Dependencies
    pkgs.openssl
  ];

  shellHook = ''
    export OPENSSL_DIR="${pkgs.openssl.dev}"
    export OPENSSL_LIB_DIR="${pkgs.openssl.out}/lib"
  '';
}
